package com.jkcredit.invoice.mapper.customer;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.customer.CustomerCarRec;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface CustomerCarRecMapper extends BaseMapper<CustomerCarRec> {
    int deleteByPrimaryKey(String carNum);

    int insert(CustomerCarRec record);

    int insertSelective(CustomerCarRec record);

    List<CustomerCarRec>  selectByCustName(String customerName);

    CustomerCarRec selectByETC(String etcNum);
    CustomerCarRec selectByCarNum(String carNum);
    int updateByPrimaryKeySelective(CustomerCarRec record);

    int updateByPrimaryKey(CustomerCarRec record);

    int updateETCByPrimaryKeySelective(CustomerCarRec record);

    int updateETCByPrimaryKey(CustomerCarRec record);

    int updateWaitETCStatus(CustomerCarRec record);

    IPage<List<CustomerCarRec>> selectAllByPage(Page page, @Param("query") CustomerCarRec customerCarRec);
}